#include "hmg.ch"
#include "hmg_BoxLetterShow.ch"
#include "hfcl.ch" 
#include "Welcome.prg"
#include "High_Data.prg"
#include "Query_ Data.prg"
#include "CamBiaf.prg"
#include "BorraP.prg"
#include "BorraX.prg"
#include "Phonebook.prg"
#include "mPrint.prg"
#include "Calendary.prg"
#include "About.prg"
#include "CreateZip.prg"
#include "Calendar.prg"

  Function Main()

*----------------------------------------*
* (c) Mustafa Lpez  mustalopez@gmail.com
*----------------------------------------*
  
  SET CODEPAGE TO SPANISH   //  UNICODE  // English   
 
  REQUEST DBFCDX , DBFFPT , DBFDBT
  RDDSETDEFAULT( "DBFCDX" )

*----------------------------------* 
 /* Muy importante:
    Primero codigo y idioma en Espaol 
    y luego en Ingles , Aqui solo en Espaol */

 /* Very important:
    First code and language in Spanish
    and then in English , Here only in Spanish */
*----------------------------------* 

  REQUEST HB_CODEPAGE_ESWIN     
  HB_SETCODEPAGE("ESWIN")    
 
  REQUEST HB_LANG_ES   
  HB_LANGSELECT("ES")  

*----------------------------------*
  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO SPANISH 
  SET CODEPAGE TO SPANISH
  SET DELETED ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON

*--------------- Hacer Index --------------------------*
  CLOSE DATABASES
  IF FILE('RECORDER.CDX')
   FERASE('RECORDER.CDX')  
  ENDIF
  USE RECORDER
  INDEX ON FECHA_P TAG RECORDER 
  DELETE FOR NOMBRE = SPACE(1)
  PACK
  CLOSE DATABASES
  USE RECORDER index RECORDER Via 'DBFCDX' 
  COPY TO RECOR_DIA
  CLOSE DATABASES
  USE RECOR_DIA 
  DELETE FOR FECHA_P <> DATE()
  PACK
  CLOSE DATABASES
*------------------------------------------------------*
  USE RECORDER index RECORDER Via 'DBFCDX' 
  COPY TO RECOR_PLU
  CLOSE DATABASES
  IF .NOT. FILE('control.mem')
    conprobaA := 0  
    SAVE TO control.mem ALL LIKE conprobaA*
  ENDIF

  RESTORE FROM control.mem ADDITIVE

  IF conprobaA > 0 
         FECHA_F = DATE()
         SET DATE ANSI
          
         dFdiaS = FECHA_F + conprobaA     
    
         SET DATE FRENCH      
         USE RECOR_PLU  
         DELETE FOR FECHA_P <>  dFdiaS
         PACK
      ELSE 
         USE RECOR_PLU  
         DELETE FOR FECHA_P <>  DATE()
         PACK
  ENDIF
  CLOSE DATABASES 

*--------------------------------------------------------------------------------------------------*
 PUBLIC dFFechaAA , dFFechaBB , dFFechaCC ,nTextBox , fEchac , nWIDTH , nHEIGHT , ficher , ficherX
*--------------------------------------------------------------------------------------------------* 
*-----------------------------------------------------------------*
 Public nCtEfeito    := 0
 Public nCt          := 1
 Public cDescEfeito  := ""
 Public ficher , cFileD
*-----------------------------------------------------------------*


 SET TOOLTIPSTYLE BALLOON
// this follow rows is required ONLY for HMG Minigui compatibility
#ifdef __MINGW32__
   SET TOOLTIPBACKCOLOR { 193, 224, 255 } 
   SET TOOLTIPFORECOLOR { 000, 000, 000 }
#endi
*-----------------------------------------------------------------*

   DEFINE WINDOW Form_1    ;
      AT 0,0               ;
      WIDTH 1200           ;              
      HEIGHT 725           ;
      ICON 'Logo'          ; 
      BACKCOLOR { 250, 250, 250 } ; 
      NOMAXIMIZE NOMINIMIZE NOSYSMENU ;
      NOCAPTION NOSIZE TOPMOST    ;
      MAIN                 ;
      ON INIT ( WELCOME() , OpenTables() ) 
                 
      ON KEY ESCAPE ACTION Form_1.Release  

*------------------------------------------------------------------------------------------------------------*

      BoxShadow(004, 004, 1194, 720 ,"01" ,"02",  250, 250, 250  )  

                      Form_1.Label_01.Enabled := .F.    // <---- Necessary with Textbox (write)  
                      Form_1.Label_02.Enabled := .F.    // <---- Necessary with Textbox (write)  
   
*------------------------------------------------------------------------------------------------------------*

        DEFINE IMAGE Fondo_1  
           ROW 005 ; COL 005 ; WIDTH 1184 ; HEIGHT 710          
           PICTURE 'resource\Fondo01.jpg'      
           STRETCH .T.
        END IMAGE
  
*----------------------------------------  Presentacin ------------------------------------------------------*
*------------------------------    Rutina cedida por Lucho Miranda   ElSalnes@telefonica.net -----------------*
*---------------------------------------- BoxShadow Presentation ---------------------------------------------*
  
        BoxShadow( 035,271, 650, 109 ,"03" ,"04", 023,101,012 )  

        BoxShadow( 046,291, 325, 064 ,"05" ,"06", 202,254,255 )  

        LetterShadow( 048, 324,"07"  ,"08","Remember Post-It"   ,"",22,.T.,.T., 100,135,255 ) 
                                                   
        LetterShadow( 078, 392,"09"  ,"10","v 1.05 2014"        ,"",13,.T.,.T., 100,135,255 ) 

        LetterShadow( 059, 622,"11"  ,"12","Record and Remember","",20,.T.,.T., 255,234,000 )  
  
        LabelBox( 113, 369, 245, 020 ,"13","Copyright"+SPACE(06)+"All rights reserved"      ,"", 9 ,.T.,.T., 100,009,000 , 255,170,221 )  

        nCode:=HB_UCODE("") // Devuelve el cdigo (numero) Unicode del caracter ""    ""+HB_UCHAR(nCode)
        
        LabelBox( 113, 430, 245, 020 ,"14",CHR(169)                                        ,"", 9 ,.T.,.T., 100,009,000 , 255,170,221 )  

        LabelBox( 097, 651, 245, 020 ,"15","mustalopez@gmail.com - Mustafa Lpez","", 9 ,.T.,.T., 100,009,000 , 255,170,221 ) 

*-------------------------------------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------------------------------------*

*----------------------------------* 

  /* Muy importante:
    Primero codigo y idioma en Espaol 
    y luego en Ingles , Aqui solo en ingles */

  /* Very important:
    First code and language in Spanish
    and then in English , Here only in English */

*----------------------------------* 
*----------------------------------*
  REQUEST HB_CODEPAGE_EN
  HB_SetCodePage('EN')

  REQUEST HB_LANG_EN
  HB_LANGSELECT( 'EN' )   
*----------------------------------*
  SET LANGUAGE TO English  
  SET CODEPAGE TO English  

*-------------------------------------------------------------------------------------------------------------*
*------------------------------------------------ End Presentation -------------------------------------------*
*-------------------------------------------------------------------------------------------------------------*

*--------------------------------------------------    BUTTONS  ----------------------------------------------*

  @ 346,987 LABEL Label_1 VALUE "" WIDTH 155 HEIGHT 035 ACTION ( ANULAR_LABELBUTOO() , High_Data()  )  TOOLTIP "High_Data"   TRANSPARENT
  @ 397,987 LABEL Label_2 VALUE "" WIDTH 155 HEIGHT 035 ACTION ( ANULAR_LABELBUTOO() , Query_Data() )  TOOLTIP "Query_Data"  TRANSPARENT
  @ 447,987 LABEL Label_3 VALUE "" WIDTH 155 HEIGHT 035 ACTION ( ANULAR_LABELBUTOO() , Phonebook()  )  TOOLTIP "Phonebook"   TRANSPARENT
  @ 496,987 LABEL Label_4 VALUE "" WIDTH 155 HEIGHT 035 ACTION ( ANULAR_LABELBUTOO() , Calendary()  )  TOOLTIP "Calendar"    TRANSPARENT 
  @ 545,987 LABEL Label_5 VALUE "" WIDTH 155 HEIGHT 035 ACTION ( ANULAR_LABELBUTOO() , About()      )  TOOLTIP "About"       TRANSPARENT  
  @ 595,987 LABEL Label_6 VALUE "" WIDTH 155 HEIGHT 035 ACTION ( CreateZip() , Form_1.Release       )  TOOLTIP "Exit"        TRANSPARENT
*-------------------------------------------------------------------------------------------------------------* 
*-------------------------------------------------------------------------------------------------------------*

   END WINDOW 

    SETWINDOWCURSOR ( Form_1.Label_1.Handle, "resource\finger.cur")

    CENTER WINDOW Form_1
    ACTIVATE WINDOW Form_1

 return nil

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

*------------------------------------*
 Function ANULAR_LABELBUTOO()
*------------------------------------*
      Form_1.Label_1.Enabled  := .F.  
      Form_1.Label_2.Enabled  := .F.    
      Form_1.Label_3.Enabled  := .F.   
      Form_1.Label_4.Enabled  := .F.  
      Form_1.Label_5.Enabled  := .F.

 RETURN 

*------------------------------------*
 Function ACTIVA_LABELBUTOO()
*------------------------------------*    
      Form_1.Label_1.Enabled  := .T.  
      Form_1.Label_2.Enabled  := .T.    
      Form_1.Label_3.Enabled  := .T.   
      Form_1.Label_4.Enabled  := .T.  
      Form_1.Label_5.Enabled  := .T. 
      
 RETURN 

*------------------------------------*
 Function OpenTables() 
*------------------------------------*
    CLOSE DATABASES 
    SELECT 1
    USE Recorder NEW EXCLUSIVE
    INDEX ON FECHA_P TAG ORDEN01 TO Recorder.cdx
    CLOSE DATABASES 
    SELECT 1
    USE Recorder index Recorder Via 'DBFCDX' 
    DELETE FOR NOTAS <= " "  
    DELETE FOR FECHA_P := CTOD("  /  /    ")      
    PACK
    COPY TO Recor_Dia
    SELECT 2
    USE Recor_Dia
    DELETE FOR FECHA_P <> DATE()
    DELETE FOR NOTAS <= " "  
    PACK
    CLOSE DATABASES

    SELECT 1
    USE Recorder index Recorder Via 'DBFCDX'   
    DELETE FOR NOTAS <= " "  
    DELETE FOR FECHA_P = CTOD("  /  /    ")        
    PACK                                         
 
    SELECT 2
    USE Recor_Dia
    
    GO BOTTOM 

    SELECT 3
    USE Recor_Plu

    GO BOTTOM 
 
RETURN  


*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*







